'use strict';

const Textinput = require('ui-textinput');

const guid = require('./guid.json');

/**
 * Create DOM element
 * @param {Object} config - Configuration Object
 * @return {HTMLElement}
 */
module.exports = function (config) {
  const element = document.createElement('div');
  element.className = `ui-inline-input-${guid}`;

  const label = document.createElement('label');
  label.innerHTML = config.labelText;
  label.style.width = config.labelWidth;
  element.appendChild(label);

  const input = new Textinput({
    type: 'text',
    width: '100%',
    onValueChanged: config.onValueChanged
  });
  element.inputField = input;
  element.appendChild(input.element);

  label.addEventListener('click', function () {
    input.focus();
  });

  return element;
};
