'use strict';

const delegateNormalizer = require('delegate-normalizer');

/**
 * Normalize configuration object received in the constructor
 * @param {Object} options - Configuration object
 * @return {Object}
 */
module.exports = function (options) {
  options = options || {};
  const conf = Object.create(null);

  conf.type = 'text';

  conf.labelText = options.labelText || '';

  conf.labelWidth = options.labelWidth && typeof options.labelWidth === 'string'
    ? options.labelWidth
    : '50%';

  conf.onValueChanged = delegateNormalizer(options.onValueChanged);

  return conf;
};
